Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.UPDATEACTION

java.lang.Object
java.lang.Enum<BuilderToken.UPDATEACTION>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.UPDATEACTION

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.UPDATEACTION>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.UPDATEACTION extends Enum<BuilderToken.UPDATEACTION>
Update model

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADD`
  Add one element (or each element of a list) if not already in the list
  $add : { name : [ value, value, ...
  `INC`
  increment one field named 'name' with default 1 or value
  $inc : { name : value }
  `MAX`
  set one field named 'name' with maximum value of current value and given value
  $max : { name : value }
  `MIN`
  set one field named 'name' with minimum value of current value and given value
  $min : { name : value }
  `POP`
  Remove n element from a list from the end (1) or the beginning (-1)
  $pop : { name : -1/1 }
  `PULL`
  Remove one specific element from a list or each element of a list
  $pull : { name : [ value, value, ...
  `PUSH`
  Add one element at the end of a list value, or each element of a list
  $push : { name : [ value, value, ...
  `RENAME`
  rename one field named 'name' to 'newname'
  $rename : { name : newname }
  `SET`
  $set : { name : value, name : value, ...
  `SETREGEX`
  $setregex : { name : value, name : value, name : value }
  `UNSET`
  $unset : [ name, name, ...

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.UPDATEACTION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.UPDATEACTION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SET

    public static final BuilderToken.UPDATEACTION SET
    $set : { name : value, name : value, ... }

  - ### UNSET

    public static final BuilderToken.UPDATEACTION UNSET
    $unset : [ name, name, ... ]

  - ### INC

    public static final BuilderToken.UPDATEACTION INC
    increment one field named 'name' with default 1 or value
    $inc : { name : value }

  - ### MIN

    public static final BuilderToken.UPDATEACTION MIN
    set one field named 'name' with minimum value of current value and given value
    $min : { name : value }

  - ### MAX

    public static final BuilderToken.UPDATEACTION MAX
    set one field named 'name' with maximum value of current value and given value
    $max : { name : value }

  - ### RENAME

    public static final BuilderToken.UPDATEACTION RENAME
    rename one field named 'name' to 'newname'
    $rename : { name : newname }

  - ### PUSH

    public static final BuilderToken.UPDATEACTION PUSH
    Add one element at the end of a list value, or each element of a list
    $push : { name : [ value, value, ... ] }

  - ### PULL

    public static final BuilderToken.UPDATEACTION PULL
    Remove one specific element from a list or each element of a list
    $pull : { name : [ value, value, ... ] }

  - ### ADD

    public static final BuilderToken.UPDATEACTION ADD
    Add one element (or each element of a list) if not already in the list
    $add : { name : [ value, value, ... ] }

  - ### POP

    public static final BuilderToken.UPDATEACTION POP
    Remove n element from a list from the end (1) or the beginning (-1)
    $pop : { name : -1/1 }

  - ### SETREGEX

    public static final BuilderToken.UPDATEACTION SETREGEX
    $setregex : { name : value, name : value, name : value }

- ## Method Details

  - ### values

    public static BuilderToken.UPDATEACTION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.UPDATEACTION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token